{% extends "layouts/two-thirds.html" %}
{% from "govuk/components/summary-list/macro.njk" import govukSummaryList %}
{% from "govuk/components/button/macro.njk" import govukButton %}

{% block pageTitle %}
  GOV.UK page template – {{ serviceName }} – GOV.UK Prototype Kit
{% endblock %}

{% block form %}

  <h1 class="govuk-heading-l">Check your answers before sending your application</h1>

  <h2 class="govuk-heading-m">Personal details</h2>

  {{ govukSummaryList({
    classes: 'govuk-!-margin-bottom-9',
    rows: [
      {
        key: {
        text: "Name"
      },
        value: {
        text: data.fullName | capitalize
      },
        actions: {
        items: [
          {
            href: "#",
            text: "Change",
            visuallyHiddenText: "name"
          }
        ]
      }
      },
      {
        key: {
        text: "Date of birth"
      },
        value: {
        text: data | formatDate("dateOfBirth")
      },
        actions: {
        items: [
          {
            href: "#",
            text: "Change",
            visuallyHiddenText: "date of birth"
          }
        ]
      }
      },
      {
        key: {
          text: "Contact preference"
        },
        value: {
          text: data.contactPreferences | capitalize
        },
        actions: {
          items: [
            {
              href: "#",
              text: "Change",
              visuallyHiddenText: "contact preference"
            }
          ]
        }
      }
    ]
  }) }}

  <h2 class="govuk-heading-m">Now send your application</h2>

  <p class="govuk-body">By submitting this application you are confirming that, to the best of your knowledge, the details you are providing are correct.</p>

  {{ govukButton({
    text: "Accept and send"
  }) }}

{% endblock %}
